!
! Questão 7 da Lista 08 de exercícios para sala de aula - Capítulo F90/*
!
PROGRAM MEDIAS_DE_ALUNOS
!Este programa cria um arquivo com uma lista de alunos e suas respectivas médias
	  CHARACTER (LEN = 20) :: NOME
   REAL :: NOTA1, NOTA2, NOTA3, MEDIA
   OPEN (10, FILE='ALUNOS.DAT')
  OPEN (20, FILE=’MEDIAS.DAT’)
   READ(10, 1)NOME, NOTA1, NOTA2, NOTA3
	  1 FORMAT(A20, 3F4.1)
   DO WHILE (NOME .NE. "FIM")
      WRITE(20, 2) NOME, (NOTA1+NOTA2+NOTA3)/3 
      2 FORMAT(A20, 4.1)
      READ(10,1)NOME, NOTA1, NOTA2, NOTA3
   END DO
   WRITE (20, 2) NOME, 0.
   ENDFILE 10
  ENDFILE 20
   STOP
 END PROGRAM ARQUIVO_DE_ALUNOS